<script setup lang="ts">
import { useStockStore } from '@/stores/stock';
import { onMounted, ref } from 'vue';
import StockBuyDetailDialog from './StockBuyDetailDialog.vue'

const userString = localStorage.getItem("user");
const user = userString ? JSON.parse(userString) : null;

const TextField = ref(false);
const stockStore = useStockStore();

onMounted(async () => {
  await stockStore.getStockLists();
  await stockStore.getStocks();
});


function xyz(){
  if(stockStore.searchStockList){
    stockStore.getStockBuyList(stockStore.searchStockList);
  }else{
    stockStore.getStockLists();
  }
}
setInterval(xyz, 1000);

function showTextField() {
  TextField.value = true;
}
</script>

<template>
  <StockBuyDetailDialog></StockBuyDetailDialog>
  <v-container fluid fill-height class="d-flex justify-center align-center">
    <v-row class="justify-center">
      <v-col>
        <v-card class="ma-5" color="#EEF2E6">
          <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" color="#1C6758" style="color: white">
              <label style="padding: 10px;">ใบสั่งซื้อ</label>
              <v-icon color="white" @click="showTextField()">mdi-magnify</v-icon>
              <v-text-field class="input" label="ค้นหาใบสั่งซื้อ" v-model="stockStore.search" v-if="TextField"
                @blur="TextField = false"></v-text-field>
            </v-card>
          </v-row>
          <v-table id="table" style="padding-top: 10px;">
            <thead>
              <tr>
                <th>Buy Date</th>
                <th>Total Price</th>
                <th>Name</th>
                <th>Detail</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="item of stockStore.stockBuyLists" :key="item.id">
                <td>{{ new Date(item.createdAt!).toLocaleDateString('af-ZA') }}</td>
                <td>{{ item.totalPrice }}</td>
                <td>{{ item.user?.fname + ' ' + item.user?.lname }}</td>
                <td class="text-center"><span style="padding-right: 10px">
                    <v-btn icon round class="btno" @click="stockStore.getStockDetails2(item)">
                      <v-icon>mdi-note-text</v-icon>
                    </v-btn>
                  </span></td>
              </tr>
            </tbody>
          </v-table>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 48px !important;
}

.input {
  font-family: "Noto Sans Thai", sans-serif;
}

th {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 24px !important;
  text-align: center;
  font-weight: bold !important;
}

td {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 18px !important;
  font-weight: bold;
  text-align: center;
}

#table {
  border-collapse: collapse;
  width: 100%;
}

#table td,
#table th {
  padding: 10px;
  text-align: center;
}

#table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #1c6758;
  color: white;

}

#table tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #FFEFCF;
  color: black;
}
.btno {
  background-color: #FFC000;
}
</style>